Search documentation of polar_express

# PolarExpress.Schemas.BenefitDiscordCreateProperties (polar_express v0.1.5)

Copy Markdown View Source

BenefitDiscordCreateProperties

Properties to create a benefit of type `discord`.

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.BenefitDiscordCreateProperties{
      guild_token: String.t() | nil,
      kick_member: boolean() | nil,
      role_id: String.t() | nil
    }

- `guild_token`
- `kick_member` - Whether to kick the member from the Discord server on revocation.
- `role_id` - The ID of the Discord role to grant.

## Functions

# schema_name()